aboutsummaryrefslogtreecommitdiff
path: root/lt-qcom-linux
diff options
context:
space:
mode:
authorNicolas Dechesne <nicolas.dechesne@linaro.org>2017-11-29 16:48:03 +0100
committerNicolas Dechesne <nicolas.dechesne@linaro.org>2017-11-29 16:52:09 +0100
commit6081be943ea354dbcb9e679446af33d5d116ae4b (patch)
tree9f30e43fadea4a778d34433ec5bcb387fe87f016 /lt-qcom-linux
parentb0e2c2c54de8e2f09bb748383de5be08da245771 (diff)
lt-qcom-linux-aosp: add new job
To be used to build the Kernel image for AOSP builds for DB410c. We reuse as much as possible the generic lt-qcom-linux job, however we need to publish the images so that they can be consumed by Android builds. Change-Id: I0acb2975cc90485f0ce663c5da5c09c9fb4b434f Signed-off-by: Nicolas Dechesne <nicolas.dechesne@linaro.org>
Diffstat (limited to 'lt-qcom-linux')
-rw-r--r--lt-qcom-linux/publishers.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/lt-qcom-linux/publishers.sh b/lt-qcom-linux/publishers.sh
new file mode 100644
index 00000000..374b2347
--- /dev/null
+++ b/lt-qcom-linux/publishers.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -ex
+
+# copy files which can be published, if needed
+mkdir out
+cp vmlinux arch/${ARCH}/boot/Image.gz out
+cp .config out/kernel.config
+cp arch/${ARCH}/configs/defconfig out
+for f in ${KERNEL_DTBS}; do
+ cp arch/${ARCH}/boot/dts/$f out;
+done
+
+# Create MD5SUMS file
+(cd out && md5sum * > MD5SUMS.txt)
+
+wget -q ${BUILD_URL}consoleText -O out/build-log-${JOB_NAME}-${BUILD_NUMBER}.txt
+
+# Publish to snapshots
+test -d ${HOME}/bin || mkdir ${HOME}/bin
+wget https://git.linaro.org/ci/publishing-api.git/blob_plain/HEAD:/linaro-cp.py -O ${HOME}/bin/linaro-cp.py
+time python ${HOME}/bin/linaro-cp.py \
+ --server ${PUBLISH_SERVER} \
+ --link-latest \
+ out ${PUB_DEST}